Subject: bug#35404: closed (Re: bug#35404: posn-at-point ignores line numbers when display property is set)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 25 Apr 2019 10:02:02 +0000

Your bug report

#35404: posn-at-point ignores line numbers when display property is set

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35404: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35404
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35404: posn-at-point ignores line numbers when display property is set
From: Eli Zaretskii <[email-masked]>
To: Евгений Курневский<[email-masked]>
Cc: [email-masked]
Date: Thu, 25 Apr 2019 13:01:24 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Евгений Курневский <[email-masked]>
> Date: Thu, 25 Apr 2019 09:47:07 +0000
> Cc: [email-masked]
> 
> Thanks! Is it going to be backported to 26 branch?

I'm not sure, the change is in a tricky place, and the problem existed
for long enough to consider it rare.  On top of that, we didn't yet
decide whether there will be Emacs 26.3; if not, the emacs-26 branch
is of no practical importance.

I take it that you tested the change?  If so, I'm closing the bug
report.

Subject: posn-at-point ignores line numbers when display property is set
From: Евгений Курневский<[email-masked]>
To: [email-masked]
Date: Tue, 23 Apr 2019 21:36:44 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Emacs version: 26.2
Steps to reproduce:
emacs -Q
Activate display-line-numbers-mode
Insert some word at the first line, like "aaa"
Execute (nth 2 (posn-at-point 2)), it will return (40 . 0)
Execute (put-text-property 2 3 'display "A")
Execute (nth 2 (posn-at-point 2)) again, it will return (4 . 0)

This breaks next-line/previous-line in cases display property is used. For
example, highlight-indent-guides mode uses display property to draw
indentation levels.